Loading...
Searching...
No Matches
volk_avx2_intrinsics.h File Reference
`#include "volk/volk_avx_intrinsics.h"`
`#include <immintrin.h>`

Go to the source code of this file.

## Functions

static __m256 | _mm256_rsqrt_nr_avx2 (const __m256 a)
static __m256 | _mm256_real (const __m256 z1, const __m256 z2)
static __m256 | _mm256_imag (const __m256 z1, const __m256 z2)
static __m256 | _mm256_polar_sign_mask_avx2 (__m128i fbits)
static __m256 | _mm256_polar_fsign_add_llrs_avx2 (__m256 src0, __m256 src1, __m128i fbits)
static __m256 | _mm256_magnitudesquared_ps_avx2 (const __m256 cplxValue0, const __m256 cplxValue1)
static __m256 | _mm256_scaled_norm_dist_ps_avx2 (const __m256 symbols0, const __m256 symbols1, const __m256 points0, const __m256 points1, const __m256 scalar)
static void | vector_32fc_index_max_variant0 (__m256 in0, __m256 in1, __m256 *max_values, __m256i *max_indices, __m256i *current_indices, __m256i indices_increment)
static void | vector_32fc_index_max_variant1 (__m256 in0, __m256 in1, __m256 *max_values, __m256i *max_indices, __m256i *current_indices, __m256i indices_increment)
static void | vector_32fc_index_min_variant0 (__m256 in0, __m256 in1, __m256 *min_values, __m256i *min_indices, __m256i *current_indices, __m256i indices_increment)
static void | vector_32fc_index_min_variant1 (__m256 in0, __m256 in1, __m256 *min_values, __m256i *min_indices, __m256i *current_indices, __m256i indices_increment)
static __m256 | _mm256_sin_poly_avx2 (const __m256 x)
static __m256 | _mm256_cos_poly_avx2 (const __m256 x)
static __m256 | _mm256_log2_poly_avx2 (const __m256 x)

## Function Documentation

## _mm256_cos_poly_avx2()

__m256 _mm256_cos_poly_avx2 | ( | const __m256 | x | ) |

inline static

## _mm256_imag()

__m256 _mm256_imag | ( | const __m256 | z1,
|  | const __m256 | z2 )

inline static

## _mm256_log2_poly_avx2()

__m256 _mm256_log2_poly_avx2 | ( | const __m256 | x | ) |

inline static

## _mm256_magnitudesquared_ps_avx2()

__m256 _mm256_magnitudesquared_ps_avx2 | ( | const __m256 | cplxValue0,
|  | const __m256 | cplxValue1 )

inline static

## _mm256_polar_fsign_add_llrs_avx2()

__m256 _mm256_polar_fsign_add_llrs_avx2 | ( | __m256 | src0,
|  | __m256 | src1,
|  | __m128i | fbits )

inline static

## _mm256_polar_sign_mask_avx2()

__m256 _mm256_polar_sign_mask_avx2 | ( | __m128i | fbits | ) |

inline static

## _mm256_real()

__m256 _mm256_real | ( | const __m256 | z1,
|  | const __m256 | z2 )

inline static

## _mm256_rsqrt_nr_avx2()

__m256 _mm256_rsqrt_nr_avx2 | ( | const __m256 | a | ) |

inline static

## _mm256_scaled_norm_dist_ps_avx2()

__m256 _mm256_scaled_norm_dist_ps_avx2 | ( | const __m256 | symbols0,
|  | const __m256 | symbols1,
|  | const __m256 | points0,
|  | const __m256 | points1,
|  | const __m256 | scalar )

inline static

## _mm256_sin_poly_avx2()

__m256 _mm256_sin_poly_avx2 | ( | const __m256 | x | ) |

inline static

## vector_32fc_index_max_variant0()

void vector_32fc_index_max_variant0 | ( | __m256 | in0,
|  | __m256 | in1,
|  | __m256 * | max_values,
|  | __m256i * | max_indices,
|  | __m256i * | current_indices,
|  | __m256i | indices_increment )

inline static

## vector_32fc_index_max_variant1()

void vector_32fc_index_max_variant1 | ( | __m256 | in0,
|  | __m256 | in1,
|  | __m256 * | max_values,
|  | __m256i * | max_indices,
|  | __m256i * | current_indices,
|  | __m256i | indices_increment )

inline static

## vector_32fc_index_min_variant0()

void vector_32fc_index_min_variant0 | ( | __m256 | in0,
|  | __m256 | in1,
|  | __m256 * | min_values,
|  | __m256i * | min_indices,
|  | __m256i * | current_indices,
|  | __m256i | indices_increment )

inline static

## vector_32fc_index_min_variant1()

void vector_32fc_index_min_variant1 | ( | __m256 | in0,
|  | __m256 | in1,
|  | __m256 * | min_values,
|  | __m256i * | min_indices,
|  | __m256i * | current_indices,
|  | __m256i | indices_increment )

inline static